/*****************************************************************************/
/*
/* Common
/*
/*****************************************************************************/

/* Global Reset */
* {
  margin: 0;
  padding: 0;
}

html, body { 
  cursor: url(/live/oe_/https://plinx.github.io/img/mouse/cursor.cur), default;
}

body {
  background-color: #CCCCCC;
  font-family: Consolas, Arial, "Microsoft YaHei", sans-serif;
  font-size: medium;
  text-align: center;
}

h1, h2, h3, h4, h5, h6 { font-size: 100%; }

h1 { 
  font-size: 35px; 
  margin-bottom: 1em; 
  text-align: center; 
}
h2 { margin: 0.8em 0em; }
p { 
  font-size: 16px;
	margin: 0.5em 0; 
}
p > img { 
	display: block;
	margin: auto;
  margin-bottom: 15px;
	max-width: 100%; 
	box-shadow: 0px 2px 12px 2px;
  -webkit-box-shadow: 0px 2px 12px 2px;
  -moz-box-shadow: 0px 2px 12px 2px;
}

a { 
  text-decoration: none; 
  color: #0000FF; 
  cursor: url(/live/oe_/https://plinx.github.io/img/mouse/hand.cur), default;
}
a:hover   { color: #FF3366; }
a:visited { color: #a0a; }
a:visited:hover { color: #FF3366; }

table {
  font-size: 85%;
  min-width: 300px;
  border-spacing: 0px;
}

table td {
  text-align: left;
}

table th {
  padding: 5px 8px;
  text-align: left;
  border-bottom: 1px solid #ddd;
  min-width: 120px;
  max-width: 350px;
}

table tbody tr:nth-child(odd) { background: #f5f5f5; }
table tbody tr:hover { background: #8bd4db; }


/*****************************************************************************/
/*
/* Home
/*
/*****************************************************************************/
.posts {
  list-style-type: none;
  margin-bottom: 2em;
}

.posts li {
  line-height: 1.75em;
}

.posts span {
  color: #aaa;
  font-family: Monaco, "Courier New", monospace;
  font-size: 80%;
}


/*****************************************************************************/
/*
/* Site
/*
/*****************************************************************************/

.site {
  position: relative;
  background-color: white;
  font-size: 115%;
  text-align: justify;
  width: 80%;
  max-width: 750px;
  margin: 55px auto;
  padding: 20px 20px 10px 20px;
  line-height: 1.5em;
  box-shadow: 0px 3px 15px 5px;
  -webkit-box-shadow: 0px 3px 15px 5px;
  -moz-box-shadow: 0px 3px 15px 5px;
}

.header a {
  font-weight: bold;
  text-decoration: none;
}

.title {
  display: inline-block;
  margin-bottom: 2em;
}

.title a {
  color: #a00;
}

.title a:hover {
  color: #000;
}

.header a.extra {
  color: #aaa;
  margin-left: 1em;
}

.header a.extra:hover {
  color: #000;
}

.meta {
  color: #aaa;
  text-align: right;
}

/*****************************************************************************/
/*
/* Posts
/*
/*****************************************************************************/

/* standard */
pre {
  font-family: Consolas, Arial, "Microsoft YaHei", sans-serif;
  box-shadow: 0px 3px 15px 5px;
}
.post pre {
  font-family: Consolas, Arial, "Microsoft YaHei", sans-serif;
  box-shadow: 0px 0px;
  background-color: #121A2A;
  padding: 10px;
  position: relative;
  word-break: break-all;
  word-wrap: break-word;
  cursor: url(/live/oe_/https://plinx.github.io/img/mouse/pencil.cur), default;
}

.post ul, .post ol {
  font-size: 16px;
  margin-top: 0.5em;
  margin-left: 1.35em;
}

.post code {
  font-family: Consolas, Arial, "Microsoft YaHei", sans-serif;
  font-size: 15px;
  color: #39C1DA;
  background-color: #121A2A;
  word-break: break-all;
  word-wrap: break-word;
  overflow: auto;
}

.post pre code {
  border: none;
  overflow: visible;
}

.post pre code span.mi { color: #ff6666; }
.post pre code span.mo { color: #ae81ff; }


/* terminal */
.post pre.terminal {
  border: 1px solid #000;
  background-color: #333;
  color: #FFF;
}

.post pre.terminal code {
  background-color: #333;
}

